Chromium Code Reviews
Help | Chromium Project | Sign in
(475)

Issue 14367029: Introduce SigninManagerDelegate and use to eliminate CookieSettings dependency. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by Jói
Modified:
2 years, 4 months ago
Reviewers:
Roger Tawa
CC:
chromium-reviews, Raghu Simha, haitaol1, akalin, tim (not reviewing)
Visibility:
Public.

Description

Introduce SigninManagerDelegate and use to eliminate CookieSettings dependency. BUG=233552 R=rogerta@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=198311

Patch Set 1 #

Patch Set 2 : Merge to LKGR. #

Patch Set 3 : Remove unnecessary include. #

Patch Set 4 : Fix compile issues #

Patch Set 5 : Merge LKGR #

Unified diffs Side-by-side diffs Delta from patch set Stats (+149 lines, -41 lines) Patch
M chrome/browser/signin/DEPS View 3 chunks +7 lines, -2 lines 0 comments Download
A chrome/browser/signin/chrome_signin_manager_delegate.h View 1 1 chunk +35 lines, -0 lines 0 comments Download
A chrome/browser/signin/chrome_signin_manager_delegate.cc View 1 1 chunk +41 lines, -0 lines 0 comments Download
M chrome/browser/signin/fake_signin_manager.cc View 1 2 3 4 2 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/signin/signin_manager.h View 1 2 3 4 3 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/signin/signin_manager.cc View 1 2 3 4 3 chunks +5 lines, -4 lines 0 comments Download
M chrome/browser/signin/signin_manager_base.h View 1 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/signin/signin_manager_base.cc View 1 2 2 chunks +0 lines, -17 lines 0 comments Download
A chrome/browser/signin/signin_manager_delegate.h View 1 1 chunk +19 lines, -0 lines 0 comments Download
M chrome/browser/signin/signin_manager_factory.cc View 1 2 3 4 2 chunks +7 lines, -3 lines 0 comments Download
M chrome/browser/signin/signin_manager_unittest.cc View 1 2 3 4 7 chunks +19 lines, -6 lines 0 comments Download
M chrome/browser/ui/sync/one_click_signin_helper.cc View 1 2 3 4 3 chunks +5 lines, -2 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
Project "None" does not have a commit queue.

Messages

Total messages: 5 (0 generated)
Jói
Hi Roger, This isn't 100% complete, I still need to work on updating a couple ...
2 years, 4 months ago (2013-04-19 18:30:27 UTC) #1
Roger Tawa
lgtm
2 years, 4 months ago (2013-04-23 20:10:46 UTC) #2
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/joi@chromium.org/14367029/42001
2 years, 4 months ago (2013-05-04 10:22:05 UTC) #3
commit-bot: I haz the power
Retried try job too often on ios_rel_device for step(s) compile http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=ios_rel_device&number=47042
2 years, 4 months ago (2013-05-04 10:51:14 UTC) #4
Jói
2 years, 4 months ago (2013-05-04 14:03:12 UTC) #5
Message was sent while issue was closed.
Committed patchset #5 manually as r198311 (presubmit successful).
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld c33a7a4